<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.entbase.mapper.TREntBaseAppendMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.entbase.entity.TREntBaseAppend">
        <id column="PRIPID" property="pripid" />
        <result column="BIZSEQ" property="bizseq" />
        <result column="RECCAP" property="reccap" />
        <result column="INSFORM" property="insform" />
        <result column="PARFORM" property="parform" />
        <result column="COPYNUM" property="copynum" />
        <result column="OPLOCAREA" property="oplocarea" />
        <result column="MANACATE" property="manacate" />
        <result column="MAINPRODUCTSOLD" property="mainproductsold" />
        <result column="COMM" property="comm" />
        <result column="HYPOTAXIS" property="hypotaxis" />
        <result column="COMPFORM" property="compform" />
        <result column="SINBIZPLAID" property="sinbizplaid" />
        <result column="POSTALCODE" property="postalcode" />
        <result column="TEL" property="tel" />
        <result column="EMAIL" property="email" />
        <result column="ABUITEMCO" property="abuitemco" />
        <result column="CBUITEM" property="cbuitem" />
        <result column="OPSCOPE" property="opscope" />
        <result column="OPFROM" property="opfrom" />
        <result column="OPTO" property="opto" />
        <result column="OPENDYEAR" property="opendyear" />
        <result column="FILENO" property="fileno" />
        <result column="FAXNUM" property="faxnum" />
        <result column="FORPCORPNAME" property="forpcorpname" />
        <result column="FORPADDRESS" property="forpaddress" />
        <result column="BLOPSHONAME" property="blopshoname" />
        <result column="VALIDSTAYSTART" property="validstaystart" />
        <result column="VALIDSTAYEND" property="validstayend" />
        <result column="BLOTOTALCAP" property="blototalcap" />
        <result column="ENTNAMEBEL" property="entnamebel" />
        <result column="LASCHEDATE" property="laschedate" />
        <result column="INDIVIUP" property="indiviup" />
        <result column="CHARGEDEP" property="chargedep" />
        <result column="OPERATIONTYPE" property="operationtype" />
        <result column="AREA_CODE" property="areaCode" />
        <result column="LAUPTIME" property="lauptime" />
        <result column="SANZHENGHEYI" property="sanzhengheyi" />
        <result column="MSTYPE" property="mstype" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        PRIPID, BIZSEQ, RECCAP, INSFORM, PARFORM, COPYNUM, OPLOCAREA, MANACATE, MAINPRODUCTSOLD, COMM, HYPOTAXIS, COMPFORM, SINBIZPLAID, POSTALCODE, TEL, EMAIL, ABUITEMCO, CBUITEM, OPSCOPE, OPFROM, OPTO, OPENDYEAR, FILENO, FAXNUM, FORPCORPNAME, FORPADDRESS, BLOPSHONAME, VALIDSTAYSTART, VALIDSTAYEND, BLOTOTALCAP, ENTNAMEBEL, LASCHEDATE, INDIVIUP, CHARGEDEP, OPERATIONTYPE, AREA_CODE, LAUPTIME, SANZHENGHEYI, MSTYPE
    </sql>

</mapper>
